package models

type Device struct {
	ID      string
	MAC     string
	SN      string
	LastMsg string
}

func (db *DB) AllDevices() ([]*Device, error) {
	rows, err := db.Query("SELECT * FROM devices")
	if err != nil {
		return nil, err
	}
	defer rows.Close()

	devices := make([]*Device, 0)
	for rows.Next() {
		device := new(Device)
		err := rows.Scan(&device.ID, &device.MAC, &device.SN, &device.LastMsg)
		if err != nil {
			return nil, err
		}
		devices = append(devices, device)
	}
	if err = rows.Err(); err != nil {
		return nil, err
	}
	return devices, nil
}

func (db *DB) InsertDevice(device *Device) error {
	sqlStmt := `INSERT OR REPLACE INTO table (id, mac, sn, lastMsg)
                VALUES($1, $2, $3, $4);`
	_, err := db.Exec(sqlStmt, device.ID, device.MAC, device.SN, device.LastMsg)
	if err != nil {
		return err
	}

	return err
}
